<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 1997-2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="pvm_tidtohost">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>pvm_tidtohost</refname>
    <refpurpose> returns the host of the specified PVM process.  </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[dtid] = pvm_tidtohost(tid)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Arguments</title>
    <variablelist>
      <varlistentry>
        <term>tid</term>
        <listitem>
          <para>integer, task identifier of the PVM process in question.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>dtid</term>
        <listitem>
          <para>integer, the tid of the host's pvmd3 or a negative value if an error.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para><literal>pvm_tidtohost</literal> returns the host id on which the process identified by
    <literal>tid</literal> is running.</para>
    <para>
    The returned value <literal>dtid</literal>will be &gt;= 0 if 
    the call is successful and will be 
    will be &lt; 0 if some error occurs.</para>
  </refsection>
  <refsection role="see also">
<title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="pvm_config">pvm_config</link>
      </member>
      <member>
        <link linkend="pvm_tasks">pvm_tasks</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
